from typing import Optional, Dict, Any
from pydantic import BaseModel
from fastapi import UploadFile

class ImageUploadDTO(BaseModel):
    exif_date: Optional[str] = None
    caption: Optional[str] = None

class ImageCaptionDTO(BaseModel):
    caption: str

class ImageMetadataDTO(BaseModel):
    metadata: Dict[str, Any]
    pin_id: Optional[str] = None 